<script lang="ts" setup>

const props = defineProps({
    star: {type: Object as PropType<Star>, required: true}
})


</script>

<template>
  <div
    class="star-content"
  >
    <img
      v-if="props.star.imageUrl"
      class="float-left mr-4 mb-2"
      :src="props.star.imageUrl"
      :alt="`${props.star.name} ${props.star.firstName}`"
    >
    <div>
      <h3 class="font-bold text-lg">
        {{ props.star.name }} {{ props.star.firstName }}
      </h3>

      <div v-if="props.star.description">
        {{ props.star.description }}
      </div>
    </div>
  </div>
</template>
<style lang="scss" scoped>

    .star-content{
        &:after{
            content: "";
            display: block;
            clear: both;
        }
        img.float-left{
            width: 300px;
            object-fit: cover;
            height: 300px;
        }
    }
</style>
